%define upstream_name    Dist-Zilla-Plugin-CheckPrereqsIndexed
%define upstream_version 0.018

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Prevent a release if you have prereqs not found on CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.18.0-2.mga6
+ Revision: 1026176
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.18.0-1.mga6
+ Revision: 1007548
- New version 0.018

* Sun Jan 17 2016 shlomif <shlomif> 0.17.0-1.mga6
+ Revision: 925100
- update to 0.017

* Sun Jul 05 2015 sander85 <sander85> 0.16.0-1.mga6
+ Revision: 851007
- update to 0.016

* Thu Dec 11 2014 sander85 <sander85> 0.13.0-1.mga5
+ Revision: 802697
- update to 0.013

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 739306
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Tue May 06 2014 jquelin <jquelin> 0.12.0-1.mga5
+ Revision: 620591
- update to 0.012

* Sat Feb 08 2014 sander85 <sander85> 0.10.0-1.mga5
+ Revision: 586668
- update to 0.010

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 526922
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.9.0-1.mga4
+ Revision: 439090
- update to 0.009

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 366108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 jquelin <jquelin> 0.7.0-1.mga2
+ Revision: 168725
- update to 0.007

* Sat Nov 05 2011 kharec <kharec> 0.6.0-1.mga2
+ Revision: 163735
- update to 0.006

* Mon Sep 26 2011 jquelin <jquelin> 0.5.0-1.mga2
+ Revision: 148545
- update to 0.005
- update to 0.004

* Wed Jun 15 2011 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 106834
- update to 0.003

* Mon Feb 28 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 61637
- imported package perl-Dist-Zilla-Plugin-CheckPrereqsIndexed


* Mon Feb 28 2011 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
